import { z } from "zod"

import { nullableArrayObjectValidator } from "@/utils/zod/arrayValidator"
import { nullableStringValidator } from "@/utils/zod/stringValidator"

const specialNeedSchema = z.object({
  details: nullableStringValidator,
  name: nullableStringValidator,
})

export const specialNeedGroupSchema = z.object({
  name: nullableStringValidator,
  specialNeeds: nullableArrayObjectValidator(specialNeedSchema),
})
